Open SCAP Library: cpedict.c File Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
cpedict.c File Reference

Interface to Common Platform Enumeration (CPE) Dictionary. More...

`#include "public/cpe_dict.h"`
`#include "cpedict_priv.h"`
`#include "common/list.h"`
`#include "common/util.h"`
`#include "common/_error.h"`
`#include "common/xmlns_priv.h"`
`#include "common/elements.h"`
`#include "common/xmltext_priv.h"`
`#include "source/oscap_source_priv.h"`
`#include "source/public/oscap_source.h"`
`#include <string.h>`

## Macros
#define | CPE_DICT_SUPPORTED "2.3"

## Functions
struct cpe_dict_model * | cpe_dict_model_import_source (struct oscap_source *source)
struct cpe_dict_model * | cpe_dict_model_import (const char *file)
bool | cpe_dict_model_set_origin_file (struct cpe_dict_model *dict, const char *origin_file)
| Sets the origin file hint. More...
const char * | cpe_dict_model_get_origin_file (const struct cpe_dict_model *dict)
| Gets the file the CPE dict model was loaded from.
void | cpe_dict_model_export (const struct cpe_dict_model *dict, const char *file)
bool | cpe_name_match_dict (struct cpe_name *cpe, struct cpe_dict_model *dict)
bool | cpe_name_match_dict_str (const char *cpestr, struct cpe_dict_model *dict)
bool | cpe_name_applicable_dict (struct cpe_name *cpe, struct cpe_dict_model *dict, cpe_check_fn cb, void *usr)
bool | cpe_item_is_applicable (struct cpe_item *item, cpe_check_fn cb, void *usr)
const char * | cpe_dict_model_supported (void)
char * | cpe_dict_detect_version_priv (xmlTextReader *reader)
| Get a version info from xmlTextReader. More...
char * | cpe_dict_detect_version (const char *file)
| Detects which version the given CPE file is. More...

## Detailed Description

Interface to Common Platform Enumeration (CPE) Dictionary.

See more details at http://nvd.nist.gov/cpe.cfm

## Function Documentation

char* cpe_dict_detect_version_priv | ( | xmlTextReader * | reader | ) |

Get a version info from xmlTextReader.

Parameters

  reader | xmlTextReader

Returns
  version string that shall be disposed by caller